const request = require('supertest');
const app = require('./index.js');

describe('API Products Endpoints', () => {
  it('should return listing with records', async () => {
    const res = await request(app).get('/api/products');
    expect(200)

  });
  it('should delete existing product', async () => {
    const res = await request(app).delete('/api/products/P005');
    expect(res.status);

  });

  it('should update existing product', async () => {
    const res = await request(app).put('/api/products/P003')
      .send({
        description: '*NULL*',
      });
    expect(res.status);

  });


  it('should provide code when update product', async () => {
    const res = await request(app).put('/api/products');
    expect(res.status).toEqual(404);

  });

  it('should provide code when delete product', async () => {
    const res = await request(app).delete('/api/products');
    expect(res.status).toEqual(404);

  });

  it('update record wrong code', async () => {
    const res = await request(app).delete('/api/products/P0991');
    expect(res.status).toEqual(500);

  });

  it('record exist in database', async () => {
    const res = await request(app).get('/api/products/P010');
    expect(res.status).toEqual(200);

  });

  it('should return one records', async () => {
    const res = await request(app).get('/api/products?page=1&size=1');
    expect(res.body.responseData.rows).toHaveLength(1);

  });
}
)

module.exports = test;